PDA

View Full Version : Win98 server?



jpj
2005-09-11, 11:39
I know, it's unsupported and not recommended, for good reason. Nevertheless, my old Win98 box (PIII/600EB) *was* supported when I installed my original SqueezeBox, and for reasons I won't get into here, it's still the best place for me to host the slim server.

I can live with it running 6.0.2, but I sure would like to get 6.1+ on there, even if there's some hand work involved. I'm comfy with the command line and registry.

Any tips, short of changing OSes? (Too many other legacy apps for a full scale migration.)

pfarrell
2005-09-11, 11:49
On Sun, 2005-09-11 at 11:39 -0700, jpj wrote:
> I know, it's unsupported and not recommended, for good reason.
> Nevertheless, my old Win98 box (PIII/600EB)

> Any tips, short of changing OSes? (Too many other legacy apps for a
> full scale migration.)

Gee, I was typing my reply when I saw this last part.
I was going to recommend Michael's live CD with linux and
Slimserver all set to go.

Maybe buy a new computer to run the Windows stuff on and
then convert OS?


--
Pat
http://www.pfarrell.com/music/slimserver/slimsoftware.html

radish
2005-09-11, 14:50
Have you actually tried running it? It may not be supported but that doesn't mean it won't work...I'd give it a go and see :)

dean
2005-09-11, 15:42
Win98 support was dropped in 6.1.

The new installer assumes that you are running NT/2000/2003/XP and
SlimServer is installed as a service.

That said, you may be able to run slim.exe on Win98 still, but it
hasn't been tested. You'd have to start it from a DOS prompt (or as
a Scheduled Task).

jpj
2005-09-11, 16:36
Ummm, the SlimServer_v6.1.1.exe installer doesn't just assume an NT/2K/XP+ target. It requires one and refuses to run on Win98.

That was really the point of my original post. I have the .ZIP package from the Downloads tree, but I'm assuming a manual installation would involve more than simply unzipping the distribution and fiddling with an alternative startup. Is this correct, or have I overcomplicated matters in my own mind?

dean
2005-09-11, 16:44
On Sep 11, 2005, at 4:36 PM, jpj wrote:

>
> Ummm, the SlimServer_v6.1.1.exe installer doesn't just assume an
> NT/2K/XP+ target. It requires one and refuses to run on Win98.
True.

> That was really the point of my original post. I have the .ZIP package
> from the Downloads tree, but I'm assuming a manual installation would
> involve more than simply unzipping the distribution and fiddling with
> an alternative startup. Is this correct, or have I overcomplicated
> matters in my own mind?
It should work, give it a shot! Unzip and try starting slim.exe.

-dean